import App from './App'
import uView from "uview-ui";
import dayjs from "dayjs";
import env from '@/env.js'

// #ifdef H5
import '@/assets/styles/commom.scss' // loading css
import '@/utils/loadScript.js'
import '@/utils/loadDDScript.js'

// import VConsole from 'vconsole';
// const vConsole = new VConsole(); 
// #endif

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
import plugins from './plugins' // plugins
import store from './store' // store

Vue.use(plugins)

Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.dayjs = dayjs
App.mpType = 'app'
Vue.use(uView);
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif